Opened 3 years ago

Last modified 3 months ago

#2156 reopened Task

ASINTER-05_Masson_CurrentFeedback

Reported by: smasson Owned by: smasson
Priority: high Milestone: Unscheduled
Component: SBC Version: trunk
Severity: minor Keywords:
Cc: Branch review: passed
MP ready?: yes Task progress: related paper published Will be done early January (add 3 namelist parameters and a few lines in sbcblk)

Description

Context

Create a simple parameterization of the current feedback, following the paper of Renault et al. 2019

Proposal


Commit History (6)

ChangesetAuthorTimeChangeLog
13189smasson2020-07-01T11:27:25+02:00

dev_r12472_ASINTER-05_Masson_CurrentFeedback: update with trunk@13136, see #2156

12565smasson2020-03-17T15:51:51+01:00

dev_r12472_ASINTER-05_Masson_CurrentFeedback: code inmplemenation, see #2156

12551smasson2020-03-13T15:51:01+01:00

dev_r12472_ASINTER-05: update to trunk@12550, see #2156

12499smasson2020-03-02T17:56:42+01:00

dev_r12472_ASINTER-05: remove unwanted namelist_ref modification, see #2156

12495smasson2020-03-02T09:10:34+01:00

dev_r12472_ASINTER-05: update to trunk@12493, see #2156

12485smasson2020-02-28T12:43:33+01:00

dev_r12472_ASINTER-05: create dev branch, see #2156

Change History (19)

comment:1 Changed 3 years ago by nicolasmartin

  • Type changed from Enhancement to Task

comment:2 Changed 3 years ago by nemo

  • Priority changed from low to high

comment:3 Changed 23 months ago by smasson

  • Task progress set to related paper in review. Coding existing in an old version. Easy to add in the trunk. Will be done for the merge party

comment:4 Changed 19 months ago by smasson

  • Branch review changed from failed to passed
  • MP ready? changed from no to yes
  • Task progress changed from related paper in review. Coding existing in an old version. Easy to add in the trunk. Will be done for the merge party to related paper published Will be done early Januaray (add 3 namelist parameters and a few lines in sbcblk)

comment:5 Changed 19 months ago by clevy

  • Resolution set to fixed
  • Status changed from new to closed

comment:6 Changed 17 months ago by smasson

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:7 Changed 17 months ago by smasson

  • Milestone changed from IMMERSE 2019 to 2020 WP
  • Task progress changed from related paper published Will be done early Januaray (add 3 namelist parameters and a few lines in sbcblk) to related paper published Will be done early January (add 3 namelist parameters and a few lines in sbcblk)

comment:9 Changed 17 months ago by smasson

  • Summary changed from ASINTER-03_Masson_CurrentFeedback to ASINTER-05_Masson_CurrentFeedback

comment:10 Changed 17 months ago by smasson

In 12485:

dev_r12472_ASINTER-05: create dev branch, see #2156

comment:11 Changed 17 months ago by smasson

In 12495:

dev_r12472_ASINTER-05: update to trunk@12493, see #2156

comment:12 Changed 17 months ago by smasson

In 12499:

dev_r12472_ASINTER-05: remove unwanted namelist_ref modification, see #2156

comment:13 Changed 17 months ago by smasson

dev_r12472_ASINTER-05_Masson_CurrentFeedback@12499 pass all tests on X64_IRENE and resulst are identical to trunk@12493

comment:14 Changed 17 months ago by smasson

In 12551:

dev_r12472_ASINTER-05: update to trunk@12550, see #2156

comment:15 Changed 17 months ago by smasson

In 12565:

dev_r12472_ASINTER-05_Masson_CurrentFeedback: code inmplemenation, see #2156

comment:16 Changed 17 months ago by smasson

this new version passed all sette tests on IRENE.
all sette tests give the exact same results as the trunk@12549
missing part: update of the documentation

comment:17 Changed 13 months ago by smasson

In 13189:

dev_r12472_ASINTER-05_Masson_CurrentFeedback: update with trunk@13136, see #2156

comment:18 Changed 13 months ago by smasson

[13189] passes all sette tests and gives same results as trunk@12925

[reee217@jean-zay3: sette]$ ./sette_rpt.sh

Current code is : NEMO/branches/2020/dev_r12472_ASINTER-05_Masson_CurrentFeedback @ r13189  ( last change @ r13189 )

SETTE validation report generated for :

       NEMO/branches/2020/dev_r12472_ASINTER-05_Masson_CurrentFeedback @ r13189 (last changed revision)

       on X64_JEANZAY arch file


!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  13189
WGYRE_PISCES_ST              tracer.stat restartability  passed :  13189
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  13189
WORCA2_ICE_PISCES_ST         tracer.stat restartability  passed :  13189
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  13189
WAMM12_ST                    run.stat    restartability  passed :  13189
WORCA2_SAS_ICE_ST            run.stat    restartability  passed :  13189
WAGRIF_DEMO_ST               run.stat    restartability  passed :  13189
WSPITZ12_ST                  run.stat    restartability  passed :  13189
WISOMIP_ST                   run.stat    restartability  passed :  13189
WOVERFLOW_ST                 run.stat    restartability  passed :  13189
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  13189
WVORTEX_ST                   run.stat    restartability  passed :  13189
WICE_AGRIF_ST                run.stat    restartability  passed :  13189

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  13189
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  13189
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  13189
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  13189
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  13189
WAMM12_ST                    run.stat    reproducibility passed :  13189
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  13189
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  13189
WAGRIF_DEMO_ST               run.stat    reproducibility passed :  13189
WSPITZ12_ST                  run.stat    reproducibility passed :  13189
WISOMIP_ST                   run.stat    reproducibility passed :  13189
WVORTEX_ST                   run.stat    reproducibility passed :  13189
WICE_AGRIF_ST                run.stat    reproducibility passed :  13189

   !----agrif check----!
ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat    unchanged  -    passed :  13189 13189

   !----result comparison check----!

check result differences between :
VALID directory : /gpfsscratch/rech/fqx/reee217/dev_r12472_ASINTER-05_Masson_CurrentFeedback/NEMO_VALIDATION at rev 13189
and
REFERENCE directory : /gpfswork/rech/fqx/reee217/NEMO_ALL_VALIDATIONS/trunk/NEMO_VALIDATION at rev 12925

WGYRE_PISCES_ST       run.stat    files are identical
WGYRE_PISCES_ST       tracer.stat files are identical
WORCA2_ICE_PISCES_ST  run.stat    files are identical
WORCA2_ICE_PISCES_ST  tracer.stat files are identical
WORCA2_OFF_PISCES_ST  tracer.stat files are identical
WAMM12_ST             run.stat    files are identical
WISOMIP_ST            run.stat    files are identical
WORCA2_SAS_ICE_ST     run.stat    files are identical
WAGRIF_DEMO_ST        run.stat    files are identical
WSPITZ12_ST           run.stat    files are identical
WISOMIP_ST            run.stat    files are identical
WVORTEX_ST            run.stat    files are identical
WICE_AGRIF_ST         run.stat    files are identical

comment:19 Changed 3 months ago by nemo

  • Milestone changed from 2020 WP to Unscheduled
Note: See TracTickets for help on using tickets.